Subject: Re: bug#78323: Regression in case-insensitive filename completion

From: Stefan Monnier <[email-masked]>
Date: Mon, 12 May 2025 10:42:47 -0400

>> >> With read-file-name-completion-ignore-case true, commit
>> >> 509cbe1c35b3dd005a53ac041f9c87ee53b8e115 breaks existing completion
>> >> behavior.  Suppose we have file named fooBarQux.  Previously, if I'd
>> >> typed "foobar" and TAB while reading a filename, then the completion
>> >> would be "fooBarQux".  Now, it completes as "foobarQux", which is wrong
>> >> and breaks, among other things, vc.
>> > Spencer, could you please look into fixing this regression?
>> What do you think of reverting this change while Spencer finds the cause
>> of the problem?
> I wouldn't mind, but then I don't use these features.  Let's hear
> Stefan's opinion first.

I'd first like to hear Spencer's opinion on how quickly he might be able to
fix it or if it indeed breaks his assumptions too hard (so we'd need
a different approach, in which case we may as well revert the change first).

        Stefan